Subject: Re: bug#64123: "stat -f -c '%T' ." on alpha fails with EOVERFLOW with NFS

From: Paul Eggert <[email-masked]>
Date: Sat, 17 Jun 2023 18:26:43 -0700

On 2023-06-17 15:19, Pádraig Brady wrote:
> In case it's useful, I noticed this thread from 2014 about ino_t
> and consequences of using -D_FILE_OFFSET_BITS=64
> https://sourceware.org/pipermail/libc-alpha/2014-March/thread.html#49675

Yes, that was about glibc. For Autoconf and Gnulib it's long been 
decided that _FILE_OFFSET_BITS=64 was the way to go, if it made any 
difference for off_t. Since ino_t is used much less often than off_t, 
the argument is even stronger that _FILE_OFFSET_BITS=64 is the way to go 
for alpha and s390x on glibc - changing the width of ino_t is a much 
smaller deal than changing the width of off_t.